Fork me on GitHub
#clojure-dev
<
2015-07-15
>
alexmiller05:07:47

anyone interested in doing a patch for http://dev.clojure.org/jira/browse/CLJ-1766 ?

cfleming07:07:01

@alexmiller: Has any thought been given to whether 1.8 will drop support for JDK6?

danielcompton08:07:41

If we're going to be controversial, do we drop JDK7 too? :)

cfleming08:07:34

It’s all useless to me once we drop JDK6, so sure simple_smile

danielcompton09:07:47

You need JDK6?

cfleming09:07:40

IntelliJ on OSX needs to run on JDK6 due to Swing/AWT bugs

cfleming09:07:55

They’re slated to be fixed in JDK9, so who knows if/when that will happen

cfleming09:07:38

JetBrains have more or less been forced to create a custom JDK to try to fix the bugs themselves, because the next version of OSX will not support Apple Java at all.

cfleming09:07:52

You can imagine how happy they are about that.

cfleming09:07:16

Either way, until everyone is off IntelliJ 14.1 and Yosemite, which is probably years, I need JDK6 support.

andrewhr12:07:01

@alexmiller: depending how my schedule works, I could tackle that after CLJ-1453 (if 1766 is still available after my patch). I'm still working on tests (experimenting a bit of test.check, but not certain if it's worth the trouble)

alexmiller13:07:50

@cfleming: I think its unlikely we will do anything re jdk 1.6 in Clojure 1.8

adamfrey15:07:03

why are repeating colons not allowed in JVM Clojure symbols? Here's the commit from 2008 where Rich explicitly forbids them in LispReader.java: https://github.com/clojure/clojure/commit/005ea1b5f96c5bb762e155032a865e29ad71bcf3#diff-3a5dca122734225f3f60263876401aebR275 I ask because they are allowed in ClojureScript and the EDN spec on Github doesn't mention that they aren't allowed

alexmiller15:07:34

leading :: is of course an auto-resolved keyword

adamfrey16:07:56

I will, thanks.